from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, Int, Directory

Aquila_Step1_Multilibs_V0_1_0 = CommandToolBuilder(tool="Aquila_step1_multilibs", base_command=["Aquila_step1_multilibs"], inputs=[ToolInput(tag="in_bam_file_list", input_type=File(optional=True), prefix="--bam_file_list", doc=InputDocumentation(doc="Required parameter, BAM file list, each BAM file is\nseperately by comma ','. For example: 1.bam,2.bam")), ToolInput(tag="in_vcf_file_list", input_type=File(optional=True), prefix="--vcf_file_list", doc=InputDocumentation(doc="Required parameter, VCF file list, each VCF file is\nseperately by comma ',' . For example: 1.vcf,2.vcf")), ToolInput(tag="in_chr_start", input_type=Int(optional=True), prefix="--chr_start", doc=InputDocumentation(doc="chromosome start from, default = 1")), ToolInput(tag="in_chr_end", input_type=Int(optional=True), prefix="--chr_end", doc=InputDocumentation(doc="chromosome end by, default = 23")), ToolInput(tag="in_sample_name_list", input_type=Int(optional=True), prefix="--sample_name_list", doc=InputDocumentation(doc="Required parameter, sample name list, each sample name\nis seperately by comma ','. For example:\nS24385_lysis_2,S24385_lysis_2H")), ToolInput(tag="in_out_dir", input_type=Directory(optional=True), prefix="--out_dir", doc=InputDocumentation(doc="Directory to store Aquila assembly results, default =\n./Assembly_results")), ToolInput(tag="in_uniq_map_dir", input_type=Directory(optional=True), prefix="--uniq_map_dir", doc=InputDocumentation(doc="Required parameter, Directory for 100-mer uniqness,\nyou can run ./install.sh to download 'Uniqness_map'\nfor GRCh38")), ToolInput(tag="in_num_threads", input_type=Int(optional=True), prefix="--num_threads", doc=InputDocumentation(doc="number of threads, default = 8 (recommended)")), ToolInput(tag="in_num_threads_for_sam_tools_sort", input_type=Int(optional=True), prefix="--num_threads_for_samtools_sort", doc=InputDocumentation(doc="number of threads for samtools sort, default = 20")), ToolInput(tag="in_block_threshold", input_type=Int(optional=True), prefix="--block_threshold", doc=InputDocumentation(doc="phase block threshold, default = 200000(200kb)")), ToolInput(tag="in_block_len_use", input_type=Int(optional=True), prefix="--block_len_use", doc=InputDocumentation(doc="phase block len threshold, default = 100000(100kb)\n")), ToolInput(tag="in_x_zhou_one_five_atcs_dot_stanford_dot_edu", input_type=Int(), position=0, doc=InputDocumentation(doc="optional arguments:"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Aquila_Step1_Multilibs_V0_1_0().translate("wdl", allow_empty_container=True)

